> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Github App Credentials Status

> Get the status of GitHub App credentials.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /organization/vcs/github/credentials/status
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /organization/vcs/github/credentials/status:
    get:
      tags:
        - vcs
        - organization
        - vcs
        - github
        - organization
      summary: Get Github App Credentials Status
      description: Get the status of GitHub App credentials.
      operationId: vcs-get_github_app_credentials_status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubAppCredentialsStatus'
      security:
        - APIKeyCookie: []
components:
  schemas:
    GitHubAppCredentialsStatus:
      properties:
        exists:
          type: boolean
          title: Exists
        is_corrupted:
          type: boolean
          title: Is Corrupted
          default: false
        app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: App Id
        has_webhook_secret:
          type: boolean
          title: Has Webhook Secret
          default: false
        webhook_secret_preview:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Secret Preview
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - exists
      title: GitHubAppCredentialsStatus
      description: Status of GitHub App credentials.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````